Pular para o conteúdo

/Website/Domain (POST)

Testar na referência interativa

POST
/Website/Domain
curl --request POST \
--url https://api.chatfood.app/Website/Domain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "host": "example", "urlPattern": 0, "langSegmentIndex": 1, "langQueryParam": "example", "weight": 1, "defaultLanguage": "example", "metricsEnabled": true, "utmSourceValue": "example", "utmMediumValue": "example", "utmCampaignValue": "example", "utmTermValue": "example", "utmContentValue": "example", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "categories": [ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "weight": 1 } ], "languages": [ "example" ], "directories": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "domainId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "path": "example", "name": "example", "weight": 1, "metricsEnabled": true, "utmCampaignValue": "example", "utmTermValue": "example", "utmContentValue": "example", "categories": [ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "weight": 1 } ] } ] }'
accountId
string format: uuid
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
nullable
accountId
string format: uuid
host
string
nullable
urlPattern
integer format: int32
Allowed values: 0 1 2 3
langSegmentIndex
integer format: int32
langQueryParam
string
nullable
weight
integer format: int32
defaultLanguage
string
nullable
metricsEnabled
boolean
utmSourceValue
string
nullable
utmMediumValue
string
nullable
utmCampaignValue
string
nullable
utmTermValue
string
nullable
utmContentValue
string
nullable
createdBy
string format: uuid
categories
Array<object>
nullable
object
categoryId
string format: uuid
weight
integer format: int32
nullable
languages
Array<string>
nullable
directories
Array<object>
nullable
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
nullable
domainId
string format: uuid
path
string
nullable
name
string
nullable
weight
integer format: int32
metricsEnabled
boolean
nullable
utmCampaignValue
string
nullable
utmTermValue
string
nullable
utmContentValue
string
nullable
categories
Array<object>
nullable
object
categoryId
string format: uuid
weight
integer format: int32
nullable

OK